QTextDecoder(3qt)

NAME
QTextDecoder - State-based decoder

SYNOPSIS

#include <qtextcodec.h>

  Public Members
virtual ~QTextDecoder ()
virtual QString toUnicode ( const char * chars, int len )

DESCRIPTION
State-based decoder

A QTextEncoder converts a text format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

MEMBER FUNCTION DOCUMENTATION

QTextDecoder::~QTextDecoder () [virtual]
Destructs the decoder.

QString QTextDecoder::toUnicode ( const char * chars, int len ) [virtual]
Converts the first len bytes at chars to Unicode, returning the result.

If not all characters are used (eg. only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

SEE ALSO
http://doc.trolltech.com/qtextdecoder.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.